#include<bits/stdc++.h>
using namespace std;
string T,Y;
bool U[5];
int br;
void vratiY(){
  Y="";
  for(int i = T.size()-1;i>=0;i--){
    Y+=(T[i]);
  }
}
int main(){
  cin>>T;
  vratiY();
  if(Y==T){
    cout<<"1"<<endl;
  }
  else{
   for(int i = 0;i<=T.size()-1;i++){
    if(T[i]!=Y[i]){
      swap(T[i],T[i+1]);
      br++;
      vratiY();
    }
   }
   cout<<br<<endl;
  }
  return 0;
}